ADJTIMEX(1)

NAME
adjtimex - access to kernel time controls and readouts

SYNOPSIS
adjtimex [-q] [-o offset] [-f freq] [-p pll-time-constant]

DESCRIPTION
adjtimex reads and optionally sets adjustment parameters for the Linux system clock. This program provides shell-level access to the system call adjtimex(2), which actually manipulates the timex structure. All parameters are left alone unless asked to change with the corresponding option. By default, the values of the timex structure on return from adjtimex(2) are printed, along with helpful hints about what adjtimex(1) switches control them. Mortal users may view all these parameters; only the superuser may change them.

OPTIONS

-q  quiet mode - do not print

-o offset
    Time offset in microseconds.

-f freq
    Frequency adjust, in integer kernel units (65536 units is one part-per-million) Positive values make the system clock run fast.

-t tick
    Microseconds per tick, nominally 10000. Coarse corrections (within 100 ppm) to clock frequency are better made here than with -f.

-p timeconstant
    rate

SEE ALSO
adjtimex(2), tickadj(1), /usr/include/linux/timex.h. An independent implementation of similar functionality was written by Steven Dick and Jim Van Zandt, see http://metalab.unc.edu/pub/Linux/system/admin/time/adjtimex*

BUGS
Every writable member of the timex structure should be settable from this program.

AUTHOR
Larry Doolittle <larry@doolittle.boa.org>